/*
 * $Id: Parameters_msg_error.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_ooo_engine {
namespace ooo_engine {
namespace reexecute_unit {


#undef  FUNCTION
#define FUNCTION "Reexecute_unit::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_begin(Reexecute_unit,FUNCTION);

    Parameters_test test ("Reexecute_unit");

    if (_size_queue < _nb_inst_reexecute)
      test.error(_("size_queue must be >= nb_inst_reexecute_commit.\n"));

    if (_nb_execute_loop_select > _nb_execute_loop)
      test.error(toString(_("nb_execute_loop_select must be <= nb_execute_loop.\n")));

    if (_size_bank == 1)
      test.warning(_("For better performance, the bank's size (size_queue/nb_bank) must be > 1.\n"));

    log_end(Reexecute_unit,FUNCTION);

    return test;
  };

}; // end namespace reexecute_unit
}; // end namespace ooo_engine
}; // end namespace multi_ooo_engine
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
